%define		oname	QupZilla
%define		major	1
%define		libname	%mklibname %{oname} %{major}
%define		develname	%mklibname %{oname} -d
Name:		qupzilla
Summary:	Fast browser based on QtWebKit
Version:	1.4.4
Release:	%mkrel 2
URL:		http://www.qupzilla.com/
# git https://github.com/%{oname}/%{name}/archive/v%{version}.tar.gz
Source0:	%{oname}-%{version}.tar.gz
Group:		Networking/WWW
License:	GPLv3+ and BSD and LGPLv2+ and GPLv2+ and MPL
BuildRequires:	qt4-devel
BuildRequires:	qtwebkit-devel
BuildRequires:	dos2unix
Requires:	%{name}-core	= %{version}-%{release}
Requires:	%{name}-plugins	= %{version}-%{release}
Requires:	qt4-database-plugin-sqlite

%description
QupZilla is a new and very fast QtWebKit browser. It aims to be a lightweight
web browser available through all major platforms. This project has been
originally started only for educational purposes. But from its start, QupZilla
has grown into a feature-rich browser.

QupZilla has all standard functions you expect from a web browser. It includes
bookmarks, history (both also in sidebar) and tabs. Above that, you can manage
RSS feeds with an included RSS reader, block ads with a builtin AdBlock plugin,
block Flash content with Click2Flash and edit the local CA Certificates
database with an SSL Manager.

QupZilla's main aim is to be a very fast and very stable QtWebKit browser
available to everyone. There are already a lot of QtWebKit browsers available,
but they are either bound to the KDE environment (rekonq), are not actively
developed or very unstable and miss important features. But there is missing
a multiplatform, modern and actively developed browser. QupZilla is trying
to fill this gap by providing a very stable browsing experience.

%package core
Summary:	%{oname} web browser core package
Provides:	webclient
Requires:	%{libname} = %{version}-%{release}

%description core
QupZilla is a new and very fast QtWebKit browser. It aims to be a lightweight
web browser available through all major platforms. This project has been
originally started only for educational purposes. But from its start, QupZilla
has grown into a feature-rich browser.

QupZilla has all standard functions you expect from a web browser. It includes
bookmarks, history (both also in sidebar) and tabs. Above that, you can manage
RSS feeds with an included RSS reader, block ads with a builtin AdBlock plugin,
block Flash content with Click2Flash and edit the local CA Certificates
database with an SSL Manager.

QupZilla's main aim is to be a very fast and very stable QtWebKit browser
available to everyone. There are already a lot of QtWebKit browsers available,
but they are either bound to the KDE environment (rekonq), are not actively
developed or very unstable and miss important features. But there is missing
a multiplatform, modern and actively developed browser. QupZilla is trying
to fill this gap by providing a very stable browsing experience.

%package plugins
Summary:	Various plugins for %{oname} web browser
Requires:	%{name}-core = %{version}

%description plugins
QupZilla Plugins are dynamically loaded shared libraries (*.so) that can extend
application in almost any way. This package contains the following plugins:

* Mouse Gestures
* Access Keys Navigation
* Personal Information Manager
* GreaseMonkey

%package -n %{libname}
Summary:	%{oname} shared library

%description -n %{libname}
Shared library used by %{oname} web browser.

%package -n %{develname}
Summary:	%{oname} development files
Requires:	%{libname} = %{version}

%description -n %{develname}
Development files for %{libname} library.

%prep
%setup -q -n %{oname}-%{version}
dos2unix COPYRIGHT README.md

%build
export USE_LIBPATH=%{_libdir}/
export USE_WEBGL="true"
%qmake_qt4
%make

%install
make install INSTALL_ROOT=%{buildroot}

#%if %{mgaver} >= 2
#%find_lang %{name} --all-name --with-qt
#%else
cat > %{name}.lang << EOF
%lang(sr_BA@latin) /usr/share/qupzilla/locale/qt_sr_BA@latin.qm
%lang(sr_RS@latin) /usr/share/qupzilla/locale/qt_sr_RS@latin.qm
%lang(sr_BA@latin) /usr/share/qupzilla/locale/sr_BA@latin.qm
%lang(sr_RS@latin) /usr/share/qupzilla/locale/sr_RS@latin.qm
%lang(ca_ES) /usr/share/qupzilla/locale/ca_ES.qm
%lang(ca) /usr/share/qupzilla/locale/qt_ca.qm
%lang(ja) /usr/share/qupzilla/locale/qt_ja.qm
%lang(ru_RU) /usr/share/qupzilla/locale/ru_RU.qm
%lang(pt_PT) /usr/share/qupzilla/locale/pt_PT.qm
%lang(it_IT) /usr/share/qupzilla/locale/it_IT.qm
%lang(fa) /usr/share/qupzilla/locale/qt_fa.qm
%lang(sr_RS) /usr/share/qupzilla/locale/sr_RS.qm
%lang(pt) /usr/share/qupzilla/locale/qt_pt.qm
%lang(uk) /usr/share/qupzilla/locale/qt_uk.qm
%lang(sk) /usr/share/qupzilla/locale/qt_sk.qm
%lang(el_GR) /usr/share/qupzilla/locale/el_GR.qm
%lang(ja_JP) /usr/share/qupzilla/locale/ja_JP.qm
%lang(ro_RO) /usr/share/qupzilla/locale/ro_RO.qm
%lang(sr_RS) /usr/share/qupzilla/locale/qt_sr_RS.qm
%lang(zh_CN) /usr/share/qupzilla/locale/qt_zh_CN.qm
%lang(sv_SE) /usr/share/qupzilla/locale/sv_SE.qm
%lang(cs_CZ) /usr/share/qupzilla/locale/cs_CZ.qm
%lang(es_VE) /usr/share/qupzilla/locale/es_VE.qm
%lang(id_ID) /usr/share/qupzilla/locale/id_ID.qm
%lang(es) /usr/share/qupzilla/locale/qt_es.qm
%lang(de) /usr/share/qupzilla/locale/qt_de.qm
%lang(fa_IR) /usr/share/qupzilla/locale/fa_IR.qm
%lang(cs) /usr/share/qupzilla/locale/qt_cs.qm
%lang(ka_GE) /usr/share/qupzilla/locale/ka_GE.qm
%lang(es_ES) /usr/share/qupzilla/locale/es_ES.qm
%lang(uk_UA) /usr/share/qupzilla/locale/uk_UA.qm
%lang(hu) /usr/share/qupzilla/locale/qt_hu.qm
%lang(it) /usr/share/qupzilla/locale/qt_it.qm
%lang(zh_CN) /usr/share/qupzilla/locale/zh_CN.qm
%lang(nl) /usr/share/qupzilla/locale/qt_nl.qm
%lang(sr_BA) /usr/share/qupzilla/locale/qt_sr_BA.qm
%lang(sk_SK) /usr/share/qupzilla/locale/sk_SK.qm
%lang(sr_BA) /usr/share/qupzilla/locale/sr_BA.qm
%lang(zh_TW) /usr/share/qupzilla/locale/qt_zh_TW.qm
%lang(hu_HU) /usr/share/qupzilla/locale/hu_HU.qm
%lang(pl_PL) /usr/share/qupzilla/locale/pl_PL.qm
%lang(sv) /usr/share/qupzilla/locale/qt_sv.qm
%lang(de_DE) /usr/share/qupzilla/locale/de_DE.qm
%lang(zh_TW) /usr/share/qupzilla/locale/zh_TW.qm
%lang(fr) /usr/share/qupzilla/locale/qt_fr.qm
%lang(nl_NL) /usr/share/qupzilla/locale/nl_NL.qm
%lang(el) /usr/share/qupzilla/locale/qt_el.qm
%lang(pt_BR) /usr/share/qupzilla/locale/pt_BR.qm
%lang(pl) /usr/share/qupzilla/locale/qt_pl.qm
%lang(fr_FR) /usr/share/qupzilla/locale/fr_FR.qm
%lang(ru) /usr/share/qupzilla/locale/qt_ru.qm
EOF
#%endif

%files

%files core -f %{name}.lang
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/themes
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/bash-completion/completions/%{name}
%doc AUTHORS COPYRIGHT FAQ README.md
%dir %{_datadir}/%{name}/locale
%dir %{_libdir}/qupzilla

%files plugins
%{_libdir}/qupzilla/*.so

%files -n %{libname}
%{_libdir}/lib%{oname}.so.%{major}*

%files -n %{develname}
%{_libdir}/lib%{oname}.so



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.4.4-2.mga4
+ Revision: 538459
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 matteo <matteo> 1.4.4-1.mga4
+ Revision: 489732
- new version 1.4.4

* Thu Sep 12 2013 matteo <matteo> 1.4.3-3.mga4
+ Revision: 477813
- fixed qupzilla-plugins requirement (switched from qupzilla to qupzilla-core)
- fixed license definition

* Sun Sep 01 2013 matteo <matteo> 1.4.3-2.mga4
+ Revision: 473784
- fixed bad locale definitions into the spec file (see also bug mga#10572)

* Sat Jun 22 2013 matteo <matteo> 1.4.3-1.mga4
+ Revision: 445599
- new version (1.4.3)

* Wed May 29 2013 matteo <matteo> 1.4.1-2.mga4
+ Revision: 432773
- added missing br (bug mga#10319)

* Sun Apr 07 2013 matteo <matteo> 1.4.1-1.mga3
+ Revision: 408986
- dropped old patch
- new version
- fixed qupzilla-core shared library requirement
- fix bug mga#9584

* Sun Jan 13 2013 umeabot <umeabot> 1.3.5-2.mga3
+ Revision: 380124
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 matteo <matteo> 1.3.5-1.mga3
+ Revision: 338428
- synced source
- removed wrong condition
- spec file reviewed
- Imported Mandriva package


* Tue Sep 18 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.3.5-1
+ Revision: 817100
- fix l10n files list
- use webgl only in mdv >= 201200
- provide webclient

* Tue Sep 18 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.3.5-1
+ Revision: 817084
- update to 1.3.5
- enable WebGL support

* Wed Jul 18 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.3.1-2
+ Revision: 810118
- fix building qupzilla metapackage

* Tue Jul 17 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.3.1-1
+ Revision: 810063
- update to 1.3.1
- split to multiple packages

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix %%find_lang usage
    - fix unpackage directory

* Wed Jan 18 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 1.1.5-1
+ Revision: 762221
- fixed some macros and BR
- imported package qupzilla

